Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration
Class DataNodeDescriptor

    java.lang.Object
      org.apache.cayenne.configuration.DataNodeDescriptor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataNodeDescriptor>, ConfigurationNode, XMLSerializable

    public class DataNodeDescriptor

extends java.lang.Object
implements ConfigurationNode, XMLSerializable, java.io.Serializable, java.lang.Comparable<DataNodeDescriptor>

A descriptor of `DataNode` configuration.

Since:
  3.1
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `adapterType`
`protected Resource` | `configurationSource`
`protected DataChannelDescriptor` | `dataChannelDescriptor`
`protected java.util.Collection<java.lang.String>` | `dataMapNames`
`protected DataSourceInfo` | `dataSourceDescriptor`
`protected java.lang.String` | `dataSourceFactoryType`
`protected java.lang.String` | `name`
`protected java.lang.String` | `parameters`
`protected java.lang.String` | `schemaUpdateStrategyType`

Constructor Summary
`DataNodeDescriptor()`
`DataNodeDescriptor(java.lang.String name)`

Method Summary
`
`<T> T`
` | `acceptVisitor(ConfigurationNodeVisitor<T> visitor)`
`int` | `compareTo(DataNodeDescriptor o)`
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`java.lang.String` | `getAdapterType()`
`Resource` | `getConfigurationSource()` Returns configuration resource for this descriptor.
`DataChannelDescriptor` | `getDataChannelDescriptor()`
`java.util.Collection<java.lang.String>` | `getDataMapNames()`
`DataSourceInfo` | `getDataSourceDescriptor()`
`java.lang.String` | `getDataSourceFactoryType()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParameters()` Returns extra DataNodeDescriptor parameters.
`java.lang.String` | `getSchemaUpdateStrategyType()`
`void` | `setAdapterType(java.lang.String adapter)`
`void` | `setConfigurationSource(Resource configurationResource)` Sets configuration resource for this descriptor.
`void` | `setDataChannelDescriptor(DataChannelDescriptor dataChannelDescriptor)`
`void` | `setDataSourceDescriptor(DataSourceInfo dataSourceDescriptor)`
`void` | `setDataSourceFactoryType(java.lang.String dataSourceFactory)`
`void` | `setName(java.lang.String name)`
`void` | `setParameters(java.lang.String parameters)` Sets extra DataNodeDescriptor parameters.
`void` | `setSchemaUpdateStrategyType(java.lang.String schemaUpdateStrategyClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### dataMapNames

    protected java.util.Collection<java.lang.String> dataMapNames

### parameters

    protected java.lang.String parameters

### adapterType

    protected java.lang.String adapterType

### dataSourceFactoryType

    protected java.lang.String dataSourceFactoryType

### schemaUpdateStrategyType

    protected java.lang.String schemaUpdateStrategyType

### dataSourceDescriptor

    protected DataSourceInfo dataSourceDescriptor

### configurationSource

    protected Resource configurationSource

### dataChannelDescriptor

    protected DataChannelDescriptor dataChannelDescriptor

Since:
  3.1

Constructor Detail

### DataNodeDescriptor

    public DataNodeDescriptor()

### DataNodeDescriptor

    public DataNodeDescriptor(java.lang.String name)

Method Detail

### getDataChannelDescriptor

    public DataChannelDescriptor getDataChannelDescriptor()

  Since:
    3.1

### setDataChannelDescriptor

    public void setDataChannelDescriptor(DataChannelDescriptor dataChannelDescriptor)

  Since:
    3.1

### compareTo

    public int compareTo(DataNodeDescriptor o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<DataNodeDescriptor>`

### acceptVisitor

    public <T> T acceptVisitor(ConfigurationNodeVisitor<T> visitor)

  Specified by:
    `acceptVisitor` in interface `ConfigurationNode`

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDataMapNames

    public java.util.Collection<java.lang.String> getDataMapNames()

### getParameters

    public java.lang.String getParameters()

  Returns extra DataNodeDescriptor parameters. This property is often used by custom `DataSourceFactory` to configure a DataSource. E.g. JNDIDataSoirceFactory may treat parameters String as a JNDI location of the DataSource, etc.

### setParameters

    public void setParameters(java.lang.String parameters)

  Sets extra DataNodeDescriptor parameters. This property is often used by custom `DataSourceFactory` to configure a DataSource. E.g. JNDIDataSoirceFactory may treat parameters String as a JNDI location of the DataSource, etc.

### getAdapterType

    public java.lang.String getAdapterType()

### setAdapterType

    public void setAdapterType(java.lang.String adapter)

### getDataSourceFactoryType

    public java.lang.String getDataSourceFactoryType()

### setDataSourceFactoryType

    public void setDataSourceFactoryType(java.lang.String dataSourceFactory)

### getSchemaUpdateStrategyType

    public java.lang.String getSchemaUpdateStrategyType()

### setSchemaUpdateStrategyType

    public void setSchemaUpdateStrategyType(java.lang.String schemaUpdateStrategyClass)

### getDataSourceDescriptor

    public DataSourceInfo getDataSourceDescriptor()

### setDataSourceDescriptor

    public void setDataSourceDescriptor(DataSourceInfo dataSourceDescriptor)

### getConfigurationSource

    public Resource getConfigurationSource()

  Returns configuration resource for this descriptor. Configuration is usually shared with the parent `DataChannelDescriptor`.

### setConfigurationSource

    public void setConfigurationSource(Resource configurationResource)

  Sets configuration resource for this descriptor. Configuration is usually shared with the parent `DataChannelDescriptor` and has to be synchronized when it changes in the parent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.